Bug 362481 - Xorg crash/backtrace with dual-head Xinerama on Radeon X600
Xorg crash/backtrace with dual-head Xinerama on Radeon X600
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-01 16:07 EDT by Charles R. Anderson
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-21 10:30:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf dual-head Xinerama from Fedora 7 (2.00 KB, text/plain)
2007-11-01 16:10 EDT, Charles R. Anderson
no flags Details
Xorg.0.log file from Xinerama dual-head attempt (66.29 KB, text/plain)
2007-11-01 16:11 EDT, Charles R. Anderson
no flags Details

  None (edit)
Description Charles R. Anderson 2007-11-01 16:07:40 EDT
Description of problem:

Enabling dual head w/Xinerama on ATI Technologies Inc RV380 [Radeon X600 (PCIE)]
causes the X server to crash on startup with a Signal 11 error and backtrace. 
Clone-mode single head works fine.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.7.195-3.fc8
xorg-x11-server-Xorg-1.3.0.0-33.fc8

How reproducible:
always

Steps to Reproduce:
1. s-c-display, enable dual-head
2. logout to let X restart
3.
  
Actual results:

X server crashes

Expected results:

No crash.  Dual-head, Xinerama mode (or whatever replaced MergedFB)

Additional info:

01:00.0 VGA compatible controller: ATI Technologies Inc RV380 [Radeon X600
(PCIE)] (prog-if 00 [VGA])
01:00.1 Display controller: ATI Technologies Inc RV380 [Radeon X600]
Comment 1 Charles R. Anderson 2007-11-01 16:10:38 EDT
Created attachment 246041 [details]
xorg.conf dual-head Xinerama from Fedora 7

This is the manual xorg.conf I tried which works fine in Fedora 7.  The F8
s-c-display automatically generated one had problems with BusID's when enabling
dual-head.
Comment 2 Charles R. Anderson 2007-11-01 16:11:24 EDT
Created attachment 246051 [details]
Xorg.0.log file from Xinerama dual-head attempt
Comment 3 Dave Airlie 2007-11-01 19:18:18 EDT
Xinearama isn't supported, yes I know we shouldn't crash I'll try and make it do
something nicer...

For dual-head you should just be able to use the xrandr command to set stuff..
Comment 4 Dave Airlie 2007-11-29 22:32:47 EST
Okay the crashing should now be fixed in updates-testing

You still won't get xinerama but at least it won't blow up if you try... the ATI
driver now uses randr-1.2 to configure things.
Comment 5 Fedora Update System 2007-12-03 06:49:01 EST
xorg-x11-drv-ati-6.7.196-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-ati'
Comment 6 Fedora Update System 2007-12-20 14:51:04 EST
xorg-x11-drv-ati-6.7.196-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Matěj Cepl 2008-01-21 10:30:36 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.